## ros-indigo-handle-detector 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(handle_detector)

## find catkin and required packages
find_package(catkin REQUIRED 
	cmake_modules
  eigen_conversions 
  geometry_msgs 
	message_generation   
  roscpp 
  pcl_conversions
  std_msgs 
	tf
	tf_conversions
  visualization_msgs)

## find Lapack and Eigen packages
find_package(Eigen REQUIRED)
find_package(LAPACK REQUIRED)
find_package(PCL REQUIRED)

## compiler optimization flags
set(CMAKE_CXX_FLAGS "-DNDEBUG -O3 -fopenmp -Wno-deprecated")

## add messages
add_message_files(
  FILES
  CylinderMsg.msg
  CylinderArrayMsg.msg
  HandleListMsg.msg
)

generate_messages(DEPENDENCIES geometry_msgs)

## Declare a catkin package
catkin_package(
  INCLUDE_DIRS
    include
  CATKIN_DEPENDS 
    cmake_modules
    eigen_conversions 
    geometry_msgs 
    message_runtime 
    roscpp 
    pcl_conversions
    std_msgs 
    tf
    tf_conversions
    visualization_msgs
  DEPENDS
    Eigen
    LAPACK
    PCL)

include_directories(${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS} include)

## create executables
add_executable(${PROJECT_NAME}_localization src/localization.cpp)
add_executable(${PROJECT_NAME}_importance_sampling src/importance_sampling.cpp)

## create libraries
add_library(${PROJECT_NAME}_affordances src/affordances.cpp)
add_library(${PROJECT_NAME}_cylindrical_shell src/cylindrical_shell.cpp)
add_library(${PROJECT_NAME}_messages src/messages.cpp)
add_library(${PROJECT_NAME}_sampling src/sampling.cpp)
add_library(${PROJECT_NAME}_sampling_visualizer src/sampling_visualizer.cpp)
add_library(${PROJECT_NAME}_visualizer src/visualizer.cpp)

## add dependencies
add_dependencies(${PROJECT_NAME}_messages ${PROJECT_NAME}_gencpp)

## link libraries to localization executable
target_link_libraries(${PROJECT_NAME}_localization ${catkin_LIBRARIES})
target_link_libraries(${PROJECT_NAME}_localization ${PROJECT_NAME}_affordances)
target_link_libraries(${PROJECT_NAME}_localization ${PROJECT_NAME}_visualizer)
target_link_libraries(${PROJECT_NAME}_localization ${PROJECT_NAME}_messages)

## link libraries to importance_sampling executable
target_link_libraries(${PROJECT_NAME}_importance_sampling ${catkin_LIBRARIES} ${PCL_LIBRARIES})
target_link_libraries(${PROJECT_NAME}_importance_sampling ${PROJECT_NAME}_affordances)
target_link_libraries(${PROJECT_NAME}_importance_sampling ${PROJECT_NAME}_visualizer)
target_link_libraries(${PROJECT_NAME}_importance_sampling ${PROJECT_NAME}_messages)
target_link_libraries(${PROJECT_NAME}_importance_sampling ${PROJECT_NAME}_sampling)

## link libraries to affordances library
target_link_libraries(${PROJECT_NAME}_affordances ${catkin_LIBRARIES})
target_link_libraries(${PROJECT_NAME}_affordances ${PROJECT_NAME}_cylindrical_shell)
target_link_libraries(${PROJECT_NAME}_affordances lapack ${PCL_LIBRARIES})

## link libraries to messages library
target_link_libraries(${PROJECT_NAME}_messages ${catkin_LIBRARIES})

## link libraries to sampling library
target_link_libraries(${PROJECT_NAME}_sampling ${PROJECT_NAME}_affordances)
target_link_libraries(${PROJECT_NAME}_sampling ${PROJECT_NAME}_sampling_visualizer)

target_link_libraries(${PROJECT_NAME}_sampling_visualizer ${catkin_LIBRARIES} ${PCL_LIBRARIES})

## install targets
install(TARGETS ${PROJECT_NAME}_localization ${PROJECT_NAME}_importance_sampling 
    ${PROJECT_NAME}_affordances ${PROJECT_NAME}_sampling ${PROJECT_NAME}_sampling_visualizer
    ${PROJECT_NAME}_visualizer ${PROJECT_NAME}_messages ${PROJECT_NAME}_cylindrical_shell 
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## install launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

## install header files  
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-indigo-handle-detector (1.3.1-0trusty) trusty; urgency=high

  * removed pcl ros includes from importance sampling
  * update CHANGELOG
  * update CHANGELOG
  * Contributors: atenpas

 -- Andreas ten Pas <atp@ccs.neu.edu>  Tue, 16 Jun 2015 04:00:00 -0000

ros-indigo-handle-detector (1.3.0-0trusty) trusty; urgency=high

  * remove pcl_ros dependency
  * Contributors: atenpas

 -- Andreas ten Pas <atp@ccs.neu.edu>  Wed, 10 Jun 2015 04:00:00 -0000

ros-indigo-handle-detector (1.2.0-0trusty) trusty; urgency=high

  * update launch files with relative paths
  * Contributors: atenpas

 -- Andreas ten Pas <atp@ccs.neu.edu>  Sat, 16 May 2015 04:00:00 -0000

ros-indigo-handle-detector (1.1.1-0trusty) trusty; urgency=high

  * updated CMakeList for indigo
  * speeds up shell search (thanks to Sachin Patil)
  * added workspace filter with transform; changed BCI numbering
  * changed to std::size_t where std::vectors are used in for loops
  * Contributors: atenpas

 -- Andreas ten Pas <atp@ccs.neu.edu>  Thu, 14 May 2015 04:00:00 -0000

ros-indigo-handle-detector (1.1.0-0trusty) trusty; urgency=high

  * updated readme
  * updated CMakeLists and package.xml
  * cleaned up folders; added documentation
  * added importance sampling (reduces number of samples)
  * Contributors: atenpas

 -- Andreas ten Pas <atp@ccs.neu.edu>  Thu, 24 Jul 2014 04:00:00 -0000

ros-indigo-handle-detector (1.0.7-0trusty) trusty; urgency=high

  * removed LIBRARIES from catkin_package(...) call in CMakeLists.txt
  * changed naming of libraries and executable in CMakeLists.txt so that it contains the project name
  * added libs to install targets in CMakeLists
  * Contributors: atenpas

 -- Andreas ten Pas <atp@ccs.neu.edu>  Wed, 09 Apr 2014 04:00:00 -0000

ros-indigo-handle-detector (1.0.6-0trusty) trusty; urgency=high

  * Merge pull request #1 <https://github.com/atenpas/handle_detector/issues/1> from cottsay/master
    Fix Fedora build errors
  * Move default affordances values into source file
    I really couldn't tell you exactly why this was failing builds on 32-bit Fedora, but in any case this fixes it.
  * Build message_lib only after message generation
    On faster machines, the makefile generated by cmake will thread quite a lot, and will attempt to compile messages_lib before the header files have been generated, failing the build.
    This will force make to wait for the message generation to complete.
  * Contributors: Scott K Logan, atenpas

 -- Andreas ten Pas <atp@ccs.neu.edu>  Tue, 25 Mar 2014 04:00:00 -0000

ros-indigo-handle-detector (1.0.5-0trusty) trusty; urgency=high

  * updated CMakeLists.txt and package.xml
  * Contributors: atenpas

 -- Andreas ten Pas <atp@ccs.neu.edu>  Tue, 18 Mar 2014 04:00:00 -0000

ros-indigo-handle-detector (1.0.4-0trusty) trusty; urgency=high

  * added visualization_msgs to manifest and CMakeLists
  * Contributors: Andreas

 -- Andreas ten Pas <atp@ccs.neu.edu>  Thu, 13 Mar 2014 04:00:00 -0000

ros-indigo-handle-detector (1.0.2-0trusty) trusty; urgency=high

  * 1.0.1
  * updated CHANGELOG
  * fixed catkin warnings (using catkin_lint)
  * Contributors: Andreas

 -- Andreas ten Pas <atp@ccs.neu.edu>  Wed, 12 Mar 2014 04:00:00 -0000

ros-indigo-handle-detector (1.0.1-0trusty) trusty; urgency=high

  * fixed catkin warnings (using catkin_lint)
  * Contributors: Andreas

 -- Andreas ten Pas <atp@ccs.neu.edu>  Wed, 12 Mar 2014 04:00:00 -0000

ros-indigo-handle-detector (1.0.0-0trusty) trusty; urgency=high

  * moved from bitbucket to github
  * Initial commit
  * Contributors: atenpas

 -- Andreas ten Pas <atp@ccs.neu.edu>  Sun, 09 Mar 2014 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-handle-detector
Section: misc
Priority: extra
Maintainer: Andreas ten Pas <atp@ccs.neu.edu>
Build-Depends: debhelper (>= 9.0.0), liblapack-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-pcl-conversions, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-visualization-msgs
Homepage: http://wiki.ros.org/handle_detector
Standards-Version: 3.9.2

Package: ros-indigo-handle-detector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblapack-dev, ros-indigo-cmake-modules, ros-indigo-eigen-conversions, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-pcl-conversions, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-tf, ros-indigo-tf-conversions, ros-indigo-visualization-msgs
Description: ROS package to detect handles.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-handle-detector//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
